<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<head>
<title>Migrar Traspasos</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 
@$nar = fopen('/archivos/'.$_REQUEST['t1'], "a");
if (!isset($_REQUEST['t1']) or !$nar){
	echo '<h2>EL ARCHIVO NO EXISTE</h2>';
	echo '<meta content="1; url=DI61400_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
//limpia la tabla
$sq = mysqli_query($con ,"delete from dgtraspe");
$nar = fopen('archivos/'.$_REQUEST['t1'], "r");
//leer el archuvo
while (!feof($nar))
{
	$cadena = fgets($nar,255);
	$datos = explode("|",$cadena);

	// genera codigo a insertar en tabla
	if ($datos[0] == 1 ) {
		$sql = "insert into dgtraspe(obse, cancel, acc_fec, acc_hor, usuario) values ('$datos[1]', '$datos[2]',  '".date('Y-m-d')."', '".date('H:i:s')."', '".$_SESSION['num_usu']."')";  
		$result = mysqli_query($con ,$sql);
		$nn = mysqli_insert_id($con);
	}else{
		$sqlx = "insert into dgtraspd(fol_tra1, con_tra, alm_ori, nparte1, can_ori, alm_des, nparte2, can_des, acc_fec, acc_hor, usuario) values ('$nn', '$datos[1]','$datos[2]', '$datos[3]','$datos[4]', '$datos[5]', '$datos[6]', '$datos[7]',  '".date('Y-m-d')."', '".date('H:i:s')."', '".$_SESSION['num_usu']."')";  
		$resultx = mysqli_query($con ,$sqlx);
	}
	//echo 'Importando Cuenta :'.$datos[0].'<br>';
}
//cierra el archivo
fclose ($archivo);
//cierra la conexxion
mysqli_close($con);
echo '<h2>FELICIDADES SE AGREGARON DATOS AL TRASPASO</h2>' ;
?>  
</body>
</html>
